#ifndef LUT_CPU_H
#define LUT_CPU_H

#include <cpu.h>

class Lut_cpu : public CPU
{
public:
    Lut_cpu();
    Lut_cpu(textureWidget*);
    GLubyte* raycastingCPU(Parametres* p);

private:
    vec4 calculIluminacioFTB(Capsa3D cub, Raig raig, int colorMode, Llum *llum);
    vec4 getColorActual(int mode, float v, int i, int j, int k, Llum *llum, vec4 colorMax);

};

#endif // LUT_CPU_H
